View Issue Details

IDProjectCategoryView StatusLast Update
0022588Return of ReckoningAbilitiespublic2024-06-19 19:40
ReporterRotgut Assigned Todalen  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Summary0022588: Getting pulled while immune
DescriptionMarauders and Choppas will still pull you if you have Vaul's Tempering active.
TagsNo tags attached.

Relationships

has duplicate 0022619 closedHazmy Mara Pull 

Activities

Phantasm

Phantasm

2024-04-15 23:16

reporter   ~0042708

I saw many situations when someone pull immuned was pulled again. Its easy to reproduce. Issue is, Mara Terrible Embrace is 2s cast and it doesnt check immunity at the end of cast, only at the start. In other words - if during a cast target get punted, pulled (not sure about root) will get pulled again, despite having immune, I bet it also works on immunites from skills like We'z Bigger or Vaul's Tempering.
Phantasm

Phantasm

2024-04-16 11:41

reporter   ~0042710

Videos showing 3 different cases when target gets "Immovable" but being pulled by Terrible Embrace.

Punt: https://youtu.be/RNDfnqXJBcQ

Root: https://youtu.be/i6IsHzuTTYg

Champs Challenge: https://youtu.be/ITa6FYYbzeU

*No dwarfs were harmed
R1CH

R1CH

2024-04-16 15:38

reporter   ~0042711

Some previous reports of similar issues:
https://bugs.returnofreckoning.com/view.php?id=22178
https://bugs.returnofreckoning.com/view.php?id=22387
Hazmy

Hazmy

2024-05-01 11:27

manager   ~0042746

Added Reproduction Video:
PullImmunity.mp4 (3,843,197 bytes)   
dalen

dalen

2024-06-19 19:40

manager   ~0043600

fixed in next patch

Issue History

Date Modified Username Field Change
2024-04-15 19:23 Rotgut New Issue
2024-04-15 23:16 Phantasm Note Added: 0042708
2024-04-16 11:41 Phantasm Note Added: 0042710
2024-04-16 15:38 R1CH Note Added: 0042711
2024-05-01 11:27 Hazmy Note Added: 0042746
2024-05-01 11:27 Hazmy File Added: PullImmunity.mp4
2024-05-22 19:19 Hazmy Relationship added related to 0022619
2024-05-22 19:19 Hazmy Relationship replaced has duplicate 0022619
2024-06-06 15:53 Emissary Assigned To => dalen
2024-06-06 15:53 Emissary Status new => assigned
2024-06-19 19:40 dalen Status assigned => resolved
2024-06-19 19:40 dalen Resolution open => fixed
2024-06-19 19:40 dalen Note Added: 0043600